Loading...
Searching...
No Matches
better_enums::_eat_assign< EnumType > Struct Template Reference

Get intrinsic value of an (Enum::value) by taking advantage of. More...

`#include <enum.h>`

## Public Member Functions

BETTER_ENUMS_CONSTEXPR_ | _eat_assign (EnumType value)
template<typename Any>
BETTER_ENUMS_CONSTEXPR_ const _eat_assign & | operator= (Any) const
BETTER_ENUMS_CONSTEXPR_ | operator EnumType () const

## Detailed Description

template<typename EnumType>
struct better_enums::_eat_assign< EnumType >

Get intrinsic value of an (Enum::value) by taking advantage of.

Definition at line 412 of file enum.h.

## Constructor & Destructor Documentation

## _eat_assign()

template<typename EnumType>

BETTER_ENUMS_CONSTEXPR_ better_enums::_eat_assign< EnumType >::_eat_assign | ( | EnumType | value | ) |

inline explicit

Definition at line 413 of file enum.h.

References BETTER_ENUMS_CONSTEXPR_.

## Member Function Documentation

## operator EnumType()

template<typename EnumType>

BETTER_ENUMS_CONSTEXPR_ better_enums::_eat_assign< EnumType >::operator EnumType | ( |  | ) | const

inline

Definition at line 420 of file enum.h.

References BETTER_ENUMS_CONSTEXPR_.

## operator=()

template<typename EnumType>
template<typename Any>

BETTER_ENUMS_CONSTEXPR_ const _eat_assign & better_enums::_eat_assign< EnumType >::operator= | ( | Any |  | ) | const

inline

Definition at line 418 of file enum.h.

The documentation for this struct was generated from the following file:

- enum.h